#Description of the File S6


---  


The File S6 is a compressed tar archive that contains codes and software for simulating genotype and phenotype datasets, and for performing the different analyses. The archive contains three directories (__AlphaSim__, __programs__, and __programs\_weights__). The different programs are adapted to the format of AlphaSim files.   


The directory __AlphaSim__ contains the codes and executables for simulating the datasets.  


The directory __programs__ contains the following Fortran programs:  


 * computer.f90: Fortran program to compute allele frequecies and LD matrices for selection candidates.  


 * snpblup.f90: Fortran program to perform joint analyses with 4 populations.  


 * snpblup+.f90: Fortran program to perform separate analyses, and analyses using individual-level data and summary statistics. The parameter file __snpblup+.par__ contains the different files related with individual-level data. The parameter file __param\_bayes.dat__ (optional) contains the different options and files related with summary statistics (see the code for more details on the different options).  



The directory __programs\_weights__ contains the following programs:  


 * computeERC.f90: Fortran program to estimate the effective number of records per marker. The parameter file __param\_erc.dat__ contains the different options and files required by the program (see the code for more details on the different options).  


 * ReplicatePhenotypes\_jv.R: R code to simulate weights and weighted phenotypes.  


 * snpblup+w.f90: Fortran program to perform separate analyses, and analyses using individual-level data and summary statistics, with weighted phenotypes. Parameter files have the same form as for snpblup+.f90.     


 * snpblupw.f90: Fortran program to perform joint analyses with 4 populations with weighted phenotypes.    


